<?php

namespace CountryInfoServiceTest;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'tContinent' => '\\CountryInfoServiceTest\\StructType\\TContinent',
            'tCurrency' => '\\CountryInfoServiceTest\\StructType\\TCurrency',
            'tCountryCodeAndName' => '\\CountryInfoServiceTest\\StructType\\TCountryCodeAndName',
            'tCountryCodeAndNameGroupedByContinent' => '\\CountryInfoServiceTest\\StructType\\TCountryCodeAndNameGroupedByContinent',
            'tCountryInfo' => '\\CountryInfoServiceTest\\StructType\\TCountryInfo',
            'tLanguage' => '\\CountryInfoServiceTest\\StructType\\TLanguage',
            'ArrayOftCountryCodeAndName' => '\\CountryInfoServiceTest\\ArrayType\\ArrayOftCountryCodeAndName',
            'ArrayOftLanguage' => '\\CountryInfoServiceTest\\ArrayType\\ArrayOftLanguage',
            'ArrayOftContinent' => '\\CountryInfoServiceTest\\ArrayType\\ArrayOftContinent',
            'ArrayOftCurrency' => '\\CountryInfoServiceTest\\ArrayType\\ArrayOftCurrency',
            'ArrayOftCountryCodeAndNameGroupedByContinent' => '\\CountryInfoServiceTest\\ArrayType\\ArrayOftCountryCodeAndNameGroupedByContinent',
            'ArrayOftCountryInfo' => '\\CountryInfoServiceTest\\ArrayType\\ArrayOftCountryInfo',
            'ListOfContinentsByName' => '\\CountryInfoServiceTest\\StructType\\ListOfContinentsByName',
            'ListOfContinentsByNameResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfContinentsByNameResponse',
            'ListOfContinentsByCode' => '\\CountryInfoServiceTest\\StructType\\ListOfContinentsByCode',
            'ListOfContinentsByCodeResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfContinentsByCodeResponse',
            'ListOfCurrenciesByName' => '\\CountryInfoServiceTest\\StructType\\ListOfCurrenciesByName',
            'ListOfCurrenciesByNameResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfCurrenciesByNameResponse',
            'ListOfCurrenciesByCode' => '\\CountryInfoServiceTest\\StructType\\ListOfCurrenciesByCode',
            'ListOfCurrenciesByCodeResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfCurrenciesByCodeResponse',
            'CurrencyName' => '\\CountryInfoServiceTest\\StructType\\CurrencyName',
            'CurrencyNameResponse' => '\\CountryInfoServiceTest\\StructType\\CurrencyNameResponse',
            'ListOfCountryNamesByCode' => '\\CountryInfoServiceTest\\StructType\\ListOfCountryNamesByCode',
            'ListOfCountryNamesByCodeResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfCountryNamesByCodeResponse',
            'ListOfCountryNamesByName' => '\\CountryInfoServiceTest\\StructType\\ListOfCountryNamesByName',
            'ListOfCountryNamesByNameResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfCountryNamesByNameResponse',
            'ListOfCountryNamesGroupedByContinent' => '\\CountryInfoServiceTest\\StructType\\ListOfCountryNamesGroupedByContinent',
            'ListOfCountryNamesGroupedByContinentResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfCountryNamesGroupedByContinentResponse',
            'CountryName' => '\\CountryInfoServiceTest\\StructType\\CountryName',
            'CountryNameResponse' => '\\CountryInfoServiceTest\\StructType\\CountryNameResponse',
            'CountryISOCode' => '\\CountryInfoServiceTest\\StructType\\CountryISOCode',
            'CountryISOCodeResponse' => '\\CountryInfoServiceTest\\StructType\\CountryISOCodeResponse',
            'CapitalCity' => '\\CountryInfoServiceTest\\StructType\\CapitalCity',
            'CapitalCityResponse' => '\\CountryInfoServiceTest\\StructType\\CapitalCityResponse',
            'CountryCurrency' => '\\CountryInfoServiceTest\\StructType\\CountryCurrency',
            'CountryCurrencyResponse' => '\\CountryInfoServiceTest\\StructType\\CountryCurrencyResponse',
            'CountryFlag' => '\\CountryInfoServiceTest\\StructType\\CountryFlag',
            'CountryFlagResponse' => '\\CountryInfoServiceTest\\StructType\\CountryFlagResponse',
            'CountryIntPhoneCode' => '\\CountryInfoServiceTest\\StructType\\CountryIntPhoneCode',
            'CountryIntPhoneCodeResponse' => '\\CountryInfoServiceTest\\StructType\\CountryIntPhoneCodeResponse',
            'FullCountryInfo' => '\\CountryInfoServiceTest\\StructType\\FullCountryInfo',
            'FullCountryInfoResponse' => '\\CountryInfoServiceTest\\StructType\\FullCountryInfoResponse',
            'FullCountryInfoAllCountries' => '\\CountryInfoServiceTest\\StructType\\FullCountryInfoAllCountries',
            'FullCountryInfoAllCountriesResponse' => '\\CountryInfoServiceTest\\StructType\\FullCountryInfoAllCountriesResponse',
            'CountriesUsingCurrency' => '\\CountryInfoServiceTest\\StructType\\CountriesUsingCurrency',
            'CountriesUsingCurrencyResponse' => '\\CountryInfoServiceTest\\StructType\\CountriesUsingCurrencyResponse',
            'ListOfLanguagesByName' => '\\CountryInfoServiceTest\\StructType\\ListOfLanguagesByName',
            'ListOfLanguagesByNameResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfLanguagesByNameResponse',
            'ListOfLanguagesByCode' => '\\CountryInfoServiceTest\\StructType\\ListOfLanguagesByCode',
            'ListOfLanguagesByCodeResponse' => '\\CountryInfoServiceTest\\StructType\\ListOfLanguagesByCodeResponse',
            'LanguageName' => '\\CountryInfoServiceTest\\StructType\\LanguageName',
            'LanguageNameResponse' => '\\CountryInfoServiceTest\\StructType\\LanguageNameResponse',
            'LanguageISOCode' => '\\CountryInfoServiceTest\\StructType\\LanguageISOCode',
            'LanguageISOCodeResponse' => '\\CountryInfoServiceTest\\StructType\\LanguageISOCodeResponse',
        );
    }
}
